%global commit c91d37c85d0a1cd9b3b3103b7758083f5e64dff2

Name:           python-ros_buildfarm
Version:        0.1.2
Release:        1%{?dist}
Summary:        Build farm used to build the ROS ecosystem's packages

Group:          Applications/System
License:        ASL 2.0
URL:            https://github.com/ros-infrastructure/ros_buildfarm
Source0:        https://github.com/ros-infrastructure/ros_buildfarm/archive/%{commit}/ros_buildfarm-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-catkin_pkg >= 0.2.6
Requires:       python-empy
Requires:       python-rosdistro >= 0.4.0
Requires:       PyYAML

%description
This package contains the scripts and templates to generate Jenkins jobs or
alternatively shell scripts to run jobs locally. Please look in the doc folder
for more information about how to invoke the job generation and an explanation
of the different job types.

The ROS build farm is using Docker for each step in the process. It is based on
the ROS distro specification REP 143 and uses a separate repository to configure
the jobs being generated (e.g.
https://github.com/ros-infrastructure/ros_buildfarm_config).

If you are going to use any of the provided infrastructure please consider
signing up for the build farm mailing list
(https://groups.google.com/d/forum/ros-sig-buildfarm) in order to receive
notifications e.g. about any upcoming changes.

%prep
%setup -qn ros_buildfarm-%{commit}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc CONTRIBUTING.md LICENSE README.md
%{_bindir}/*
%{python2_sitelib}/ros_buildfarm
%{python2_sitelib}/ros_buildfarm-%{version}-py?.?.egg-info

%changelog
* Sat Jan 31 2015 Scott K Logan <logans@cottsay.net> - 0.1.2-1
- Initial package
